#
# spec file for package sylpheed (Version 0.6.1claws)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -esound compface gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-core gpg gpgme gpp gtk gtk-devel imlib imlib-config imlib-devel jpilot libgpp libgtop openldap2 openldap2-client openldap2-devel openssl openssl-devel xf86 xpm
# usedforbuild    -esound aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compface compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-core gpg gpgme gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-config imlib-devel jpilot kbd less libgpp libgtop libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         sylpheed
%define prefix /usr/X11R6
Copyright:    GPL
Group:        Applications/Internet
Autoreqprov:  on
Version:      0.6.1claws
Release:      30
Source0:      sylpheed-claws.tar.bz2
Source1:      sylpheed.desktop
Source3:      buildit.sh
URL:          http://sylpheed.good-day.net/
Summary:      An Email client similar to Eudora on Windows
Requires:     gpgme

%description
Sylpheed is an e-mail client and news reader based on GTK+ running on
the X Window System that aims for
* Quick response
* Graceful and sophisticated interface
* Easy configuration, intuitive operation
* Abundant features
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen. Almost all commands are
accessible with the keyboard.
The messages are managed by MH format and you can use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail, procmail, and external programs on receiving (like inc or
imget).

Authors:
--------
    Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>

SuSE series: n

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf /opt/kde2
%setup -n sylpheed-claws
%{?suse_update_config:%{suse_update_config}}
mkdir /opt/kde2
mkdir /opt/kde2/share
mkdir /opt/kde2/share/applnk
mkdir /opt/kde2/share/applnk/Internet
cp %{SOURCE1} /opt/kde2/share/applnk/Internet
mkdir /opt/kde2/share/icons
cp sylpheed.png /opt/kde2/share/icons
%{SOURCE3}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	        --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{_sysconfdir} \
		--enable-ldap \
                --enable-ipv6 \
		--enable-gpgme \
		--enable-ssl \
		--enable-jpilot
make
if test $ABUILD_RUN_TEST_SUITES = true ; then
        make test
fi

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make prefix=${RPM_BUILD_ROOT}%{prefix} install

%files
%defattr(-,root,root)
%{prefix}/bin/sylpheed
%{prefix}/share/locale/*/LC_MESSAGES/sylpheed.mo
%{prefix}/share/sylpheed/manual/*
/opt/kde2/share/applnk/Internet/sylpheed.desktop
/opt/kde2/share/icons/sylpheed.png
%doc COPYING ChangeLog ChangeLog.jp README README.jp INSTALL INSTALL.jp TODO.jp tools

%changelog -n sylpheed
* Tue Sep 04 2001 - didge@suse.de
- added missing translations
* Mon Sep 03 2001 - didge@suse.de
- Version 0.6.1claws out of CVS
- German translations
- Some new features
* Thu Aug 23 2001 - didge@suse.de
- Version 0.5.3claws3 out of CVS
- German translations
* Wed Aug 22 2001 - didge@suse.de
- Version 0.5.3claws2 out of CVS
- GPGME exclude to an extra package
* Mon Aug 06 2001 - didge@suse.de
- Version 0.5.2claws1 out of CVS
- ssl is working for IMAP and SMTP
* Tue Jul 31 2001 - didge@suse.de
- Version 0.5.1claws3 out of the CVS
- gpgme compiled in the package (should better be an extra package)
- compiled with ipv6-support
- compiled with JPilot-support
- compiled with ldap-support
- compiled with ssl-support (not sure if working already)
- added tools in /usr/share/doc/packages/sylpheed
* Thu Jul 12 2001 - didge@suse.de
- Version 0.5.0claws out of the CVS
* Thu Jun 28 2001 - didge@suse.de
- Removes openldap requirement, to build on S390
  it was never used anyway
* Tue Jun 19 2001 - didge@suse.de
- Added menu entry + icon
* Tue Jun 19 2001 - didge@suse.de
- Version 0.4.99claws
  Date 15.6.2001
* Tue Jun 12 2001 - didge@suse.de
- Try to fix the CVS-version, to build it.
* Tue Jun 05 2001 - didge@suse.de
- Version 0.4.99claws3
  Date 5.6.2001
* Sun May 13 2001 - didge@suse.de
- Verison 0.4.66 + patches:
  add-sender-to-addressbook-1.patch
  empty_mailbox-2.patch
  foldercolor.patch
  font-sel.patch
  gtkstext.0.4.63.patch
  showaddr.patch
  sylpheed-0.4.63-marknav.patch
  sylpheed-0.4.65cvs8-unlimited_from.patch
  sylpheed-0.4.66-gpgpopup.patch
  sylpheed-0.4.66-gtkspell.patch
  sylpheed-0.4.66-no-retrieval-dialog
  sylpheed-0.4.66-nogpgwarn.patch
  sylpheed-autodelete-6.patch
  sylpheed-config-0.4.64.patch
  sylpheed-custom-headers-5.patch
  sylpheed-ldapaddressbook-v2.patch
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Tue Apr 24 2001 - didge@suse.de
  Version 0.4.65cvs4.
  The following patches were applied :
- add-sender-to-addressbook.patch
- bytesread.patch
- empty_mailbox-2.patch
- foldercolor.patch
- font-sel.patch
- gtkstext.0.4.63.patch
- progresswindow.patch
- sylpheed-0.4.63-marknav.patch
- sylpheed-0.4.63-update_colors.patch
- sylpheed-0.4.63-warnqueued.patch
- sylpheed-0.4.64-gpgkeysel.patch
- sylpheed-autodelete-5.patch
- sylpheed-config-0.4.64.patch
- sylpheed-custom-headers-5.patch
- sylpheed-forward-3.patch
- sylpheed-news-3.patch
- sylpheed-open-url.patch
- activated IPv6 support
- activated GPGME support (needs GPGME to work)
* Fri Apr 20 2001 - didge@suse.de
- activated IPv6 support
- activated GPGME support (needs GPGME to work)
* Fri Apr 20 2001 - didge@suse.de
- Version 0.4.64
- Patches:
  add-sender-to-addressbook-1.patch
  foldercolor.patch
  font-sel.patch
  progresswindow.patch
  sylpheed-0.4.63-marknav.patch
  sylpheed-0.4.63-update_colors.patch
  sylpheed-0.4.63-warnqueued.patch
  sylpheed-0.4.63cvs9-layout2.patch
  sylpheed-0.4.63cvs9-noparts.patch
  sylpheed-0.4.63cvs9-showserver.patch
  sylpheed-0.4.64-gpgkeysel.patch
  sylpheed-custom-headers-4.patch
  sylpheed-forward-2.patch
  sylpheed-news-2.patch
  sylpheed-open-url.patch
  sylpheed-toolbar.patch
  usestrftime.patch
  bytesread.patch
* Tue Apr 10 2001 - didge@suse.de
  Patches added:
- empty_mailbox.patch
- font-sel.patch
- gtkstext.patch
- patch-config-4.60.patch
- sylpheed-autodelete-4.patch
- sylpheed-forward-2.patch
- sylpheed-news-2.patch
- sylpheed-custom-headers-4.patch
- sylpheed-open-url.patch
* Tue Apr 10 2001 - didge@suse.de
- version 0.4.63
- changes:
  * Some menu items are sorted out.
  * `Attract by subject' is speeded up.
  * Smooth scrolling of message text is enabled.
  * Generic mark and Deleted mark became permanent.
  * Replied and Forwarded mark are enabled.
  * The design of New and Unread mark is changed.
  * Generic mark and Unread mark can be toggled with clicking summary view.
  * Long References header is truncated now.
  * Updated the GnuPG support code.
  * Messages can be moved across file systems.
  * Message date is converted into local time when displaying.
  * The colors of quoted part and URI of messages can be specified,
  and they are specifiable according to quotation level.
  * It is enabled to keep the current folder after receiving new messages.
  * The speed of cache reading is improved.
  * Message copy is implemented.
  * Many other bugfixes have been done.
* Mon Mar 19 2001 - didge@suse.de
- small bugfix to the patched version of 0.4.63cvs3
- sylpheed patched 9.1
* Mon Mar 19 2001 - didge@suse.de
- new patched version of 0.4.63cvs3
* Wed Mar 14 2001 - didge@suse.de
- build patched version 0.4.62
- add-sender-to-addressbook.patch
- sylpheed-open-url.patch
- empty_mailbox.patch
- patch-config-4.60.patch
- sylpheed-forward.patch
- sylpheed-custom-headers-3.patch
- sylpheed-autodelete-2.patch
* Mon Mar 12 2001 - ro@suse.de
- fixed macro use in specfile
* Mon Mar 12 2001 - didge@suse.de
- some new features are added, new version 0.4.62
* Tue Feb 13 2001 - didge@suse.de
- a lot of bugfixes and two new versions, newest 0.4.61
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Jan 16 2001 - didge@suse.de
- a lot of bugs where fixed and the news support was redesigned
- new version 0.4.52
* Wed Dec 27 2000 - didge@suse.de
- some segfaults were fixed in the version 0.4.9
* Mon Dec 11 2000 - didge@suse.de
- problems hopefully fixed :-)
* Mon Dec 11 2000 - didge@suse.de
- updated to 0.4.8 and try fixed build problems
* Mon Dec 04 2000 - didge@suse.de
- updated to 0.4.7 and updated %%description
* Mon Nov 20 2000 - didge@suse.de
- first build of sylpheed (0.4.4)
